Module | ActiveSupport::CoreExtensions::Hash::Slice
In: | lib/active_support/core_ext/hash/slice.rb

Slice a hash to include only the given keys. This is useful for limiting an options hash to valid keys before passing to a method:

      def search(criteria = {})
        assert_valid_keys(:mass, :velocity, :time)
      end

      search(options.slice(:mass, :velocity, :time))

If you have an array of keys you want to limit to, you should splat them:

      valid_keys = [:mass, :velocity, :time]
      search(options.slice(*valid_keys))

### Methods

slice slice!

### Public Instance methods

slice(*keys)

Returns a new hash with only the given keys.

slice!(*keys)

Replaces the hash with only the given keys. Returns a hash contained the removed key/value pairs

      {:a => 1, :b => 2, :c => 3, :d => 4}.slice!(:a, :b) # => {:c => 3, :d =>4}

[Validate]